﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LightweightWebLib
{
    class Request
    {
        private readonly IDictionary<string, object> env;

        public Request(IDictionary<string, object> env)
        {
            this.env = env;
        }

        public string Path
        {
            get { return this.env["owin.RequestPath"] as string; }
        }
        
        public string QueryString
        {
            get { return this.env["owin.RequestQueryString"] as string; }
        }

        /* TODO: implement properties for
         * "owin.RequestBody" 
         * "owin.RequestHeaders"
         * "owin.RequestMethod"
         * "owin.RequestPath"
         * "owin.RequestPathBase"
         * "owin.RequestProtocol"
         * "owin.RequestScheme"
         */
    }
}
