﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LightweightWebLib
{
    class Response
    {
        private readonly IDictionary<string, object> env;

        public Response(IDictionary<string, object> env)
        {
            this.env = env;
        }

        public Stream Body
        {
            get { return this.env["owin.ResponseBody"] as Stream; }
        }

        public int StatusCode
        {
            get { return (int)this.env["owin.ResponseStatusCode"]; }
            set { this.env["owin.ResponseStatusCode"] = value; }
        }

        /* TODO: implement properties for
         * "owin.ResponseHeaders"
         * "owin.ResponseReasonPhrase"
         * "owin.ResponseProtocol
         */
    }
}
